#ifndef __STRINGARRAY_H
#define __STRINGARRAY_H

#include "types.h"
#include <proto/containers.h>
#include <containers/array.h>

StringArray StringArrayNew(VOID); 
VOID StringArrayAppend(StringArray array, CONST_STRPTR value);
VOID StringArrayAppendAndRetain(StringArray array, CONST_STRPTR value);
VOID StringArrayFree(StringArray array, BOOL freeStrings);
CONST_STRPTR* StringArrayValues(StringArray array);

STRPTR StringArrayJoined(StringArray array, BYTE linkCharacter);
STRPTR StringArrayJoinedParts(StringArray array, BYTE linkCharacter, ULONG startIndex, ULONG maxParts);

#define StringArrayForEach(array, block) ArrayForEach(CONST_STRPTR, aString, array, block)

#endif